Subject: [saag] JCA-Cloud and JCA-SDN

From: Scott Mansfield <[email-masked]>
Date: Tue, 11 Feb 2014 04:00:17 +0000

Now that the UN CSTD Enhanced Cooperation information collection is behind us, time to finish the JCA-Cloud and JCA-SDN liaison.  I am hoping for rough consensus to send the same liaison to both groups.  It is very difficult to differentiate the subject areas in some cases.

I can put the template fluff around this later...  here is a cut at the information requested.  BTW - the liaison is due 22 Feb.

Open question...  How far down the maturity train do we want to go?  What of the following do we want to send?...
-Standards Track RFCs
-Informational RFCs
-Working Group Drafts
-Individual Drafts
-BoF (recent and past)

Below is a start with just the RFCs (or soon-to-be RFCs)...

RFC 3654 "Requirements for Separation of IP Control and Forwarding"
RFC 3746 "Forwarding and Control Element Separation (ForCES) Framework"
RFC 5810 "Forwarding and Control Element Separation (ForCES) Protocol Specification"
RFC 5812 "Forwarding and Control Element Separation (ForCES) Forwarding Element Model"
(IESG Publication) draft-ietf-nvo3-overlay-problem-statement "Problem Statement: Overlays for Network Virtualization"
RFC 4655 "A Path Computation Element (PCE)-Based Architecture"
RFC 4657 "Path Computation Element (PCE) Communication Protocol Generic Requirements"
RFC 5693 "Application-Layer Traffic Optimization (ALTO) Problem Statement"
RFC 6708 "Application-Layer Traffic Optimization (ALTO) Requirements"
RFC 6707 "Content Distribution Network Interconnection (CDNI) Problem Statement"
RFC 6770 "Use Cases for Content Delivery Network Interconnection"
RFC 6920 "Naming Things with Hashes"
RFC 6690 "Constrained RESTful Environments (CoRE) Link Format"
(IESG Publication) draft-ietf-storm-iscsi-cons "iSCSI Protocol (Consolidated)"

There are a number of groups that are important here, and I could add RFCs/drafts (if we want to) from the following (sorted by Area)...
(Also, if there are opinions on additions/deletions from the following list - I'm all ears)...

-          hybi                       BiDirectional or Server-Initiated HTTP

-          scim                       System for Cross-domain Identity Management

-          urnbis                   Uniform Resource Names, Revised

-          weirds                  Web Extensible Internet Registration Data Service

-          dnssd                    Extensions for Scalable DNS Service Discovery

-          lisp                         Locator/ID Separation Protocol

-          dnsop                   Domain Name System Operations

-          lmap                      Large-Scale Measurement of Broadband Performance

-          netconf                                Network Configuration

-          netmod                                NETCONF Data Modeling Language

-          forces                   Forwarding and Control Element Separation

-          i2rs                         Interface to the Routing System

-          idr                           Inter-Domain Routing

-          nvo3                      Network Virtualization Overlays

-          pce                         Path Computation Element

-          sfc                          Service Function Chaining

-          sidr                         Secure Inter-Domain Routing

-          spring                    Source Packet Routing in Networking

-          abfab                    Application Bridging for Federated Access Beyond web

-          dane                      DNS-based Authentication of Named Entities

-          httpauth                              Hypertext Transfer Protocol Authentication

-          kitten                    Common Authentication Technology Next Generation

-          alto                        Application-Layer Traffic Optimization

-          cdni                        Content Delivery Networks Interconnection

-          storm                    STORage Maintenanc

Not to mention the work of iRTF might want to be highlighted as well...
http://irtf.org/icnrg -- Information-Centric Networking Research Group (ICNRG)
http://irtf.org/nmrg -- Network Management Research Group
http://irtf.org/rrg -- Routing Research Group
http://irtf.org/sdnrg -- Software-Defined Networking Research Group

Anything else?

Regards,
-scott.

Scott Mansfield
Ericsson Inc.
+1 724 931 9316

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 11 Feb 2014 21:46:03 -0000

Rather self-centred, but I would also point to
https://datatracker.ietf.org/doc/draft-farrkingel-pce-abno-architecture/
It is not a WG I-D and is unlikely ever to become one.
But it is mature and stable and being cited in a lot of other work.
It's biggest use is that it shows how a lot of the IETF stuff fits together.
 
But I am unclear on the answer to your meta question, just as I am pretty sure
we will miss a huge number of relevant RFCs (what about GSMPv3?). I think that
anything that is IETF published is a no-brainer. I think stuff that WGs are
actively working on (per charter) is probable (that is WG I-Ds and I-Ds that
might be considered by WGs, but it is probable that the ITU will not get this
distinction). I think WG charters and BoF charters are things we should report.
 
I think I would add L2VPN and L3VPN to the list of WGs.
 
A
 
From: Scott Mansfield [mailto:[email-masked]] 
Sent: 11 February 2014 04:00
To: [email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]
Cc: Adrian Farrel; David Sinicrope; Joel Halpern; Ross Callon
([email-masked])
Subject: JCA-Cloud and JCA-SDN
 
Now that the UN CSTD Enhanced Cooperation information collection is behind us,
time to finish the JCA-Cloud and JCA-SDN liaison.  I am hoping for rough
consensus to send the same liaison to both groups.  It is very difficult to
differentiate the subject areas in some cases.
 
I can put the template fluff around this later.  here is a cut at the
information requested.  BTW - the liaison is due 22 Feb.
 
Open question.  How far down the maturity train do we want to go?  What of the
following do we want to send?...
-Standards Track RFCs
-Informational RFCs
-Working Group Drafts
-Individual Drafts
-BoF (recent and past)
 
Below is a start with just the RFCs (or soon-to-be RFCs).
 
RFC 3654 "Requirements for Separation of IP Control and Forwarding"
RFC 3746 "Forwarding and Control Element Separation (ForCES) Framework"
RFC 5810 "Forwarding and Control Element Separation (ForCES) Protocol
Specification"
RFC 5812 "Forwarding and Control Element Separation (ForCES) Forwarding Element
Model"
(IESG Publication) draft-ietf-nvo3-overlay-problem-statement "Problem Statement:
Overlays for Network Virtualization"
RFC 4655 "A Path Computation Element (PCE)-Based Architecture"
RFC 4657 "Path Computation Element (PCE) Communication Protocol Generic
Requirements"
RFC 5693 "Application-Layer Traffic Optimization (ALTO) Problem Statement"
RFC 6708 "Application-Layer Traffic Optimization (ALTO) Requirements"
RFC 6707 "Content Distribution Network Interconnection (CDNI) Problem Statement"
RFC 6770 "Use Cases for Content Delivery Network Interconnection"
RFC 6920 "Naming Things with Hashes"
RFC 6690 "Constrained RESTful Environments (CoRE) Link Format"
(IESG Publication) draft-ietf-storm-iscsi-cons "iSCSI Protocol (Consolidated)"
 
There are a number of groups that are important here, and I could add
RFCs/drafts (if we want to) from the following (sorted by Area).
(Also, if there are opinions on additions/deletions from the following list -
I'm all ears).
 
-          hybi                       BiDirectional or Server-Initiated HTTP
-          scim                       System for Cross-domain Identity
Management
-          urnbis                   Uniform Resource Names, Revised
-          weirds                  Web Extensible Internet Registration Data
Service
-          dnssd                    Extensions for Scalable DNS Service
Discovery
-          lisp                         Locator/ID Separation Protocol
-          dnsop                   Domain Name System Operations
-          lmap                      Large-Scale Measurement of Broadband
Performance
-          netconf                                Network Configuration
-          netmod                                NETCONF Data Modeling Language
-          forces                   Forwarding and Control Element Separation
-          i2rs                         Interface to the Routing System
-          idr                           Inter-Domain Routing
-          nvo3                      Network Virtualization Overlays
-          pce                         Path Computation Element
-          sfc                          Service Function Chaining
-          sidr                         Secure Inter-Domain Routing
-          spring                    Source Packet Routing in Networking
-          abfab                    Application Bridging for Federated Access
Beyond web
-          dane                      DNS-based Authentication of Named Entities
-          httpauth                              Hypertext Transfer Protocol
Authentication
-          kitten                    Common Authentication Technology Next
Generation
-          alto                        Application-Layer Traffic Optimization
-          cdni                        Content Delivery Networks Interconnection
-          storm                    STORage Maintenanc
 
Not to mention the work of iRTF might want to be highlighted as well.
 
Anything else?
 
Regards,
-scott.
 
Scott Mansfield
Ericsson Inc.
+1 724 931 9316

---

From: Barry Leiba <[email-masked]>
Date: Thu, 13 Feb 2014 10:29:56 -0500

Hi, Scott.  Thanks for handling this rather tangled task.

> It is very difficult to differentiate the subject areas in some cases.

Indeed it is.

> the following do we want to send?...

I would say it should include active working groups (and their drafts)
and BoFs that we expect to form into active working groups soon.  Past
work shouldn't be included unless we think it will (or should) be
revived.  I think we should include IETF stream RFCs of any status (we
often use the status in fluffy ways, so filtering on that field is
problematic), though we should highlight Standards Track separately
from the others.  Individual drafts, no, unless they're on track to be
adopted soon by a working group.

> RFCs/drafts (if we want to) from the following (sorted by Area)...

> -          weirds                  Web Extensible Internet Registration Data

Hybi has essentially finished its work, and I don't think it's
relevant here.  The WebSocket spec is the only thing that might matter
(though I don't really think so), and that's RFC 6455.  Other than
that, they should be closing soon, with or without their final
document (compression).

Scim certainly is relevant; you should talk with Leif and Morteza, if
you haven't already.

I don't think URNbis is relevant either, and it's also a working group
with a short life left.  They're just (ha!) updating the specs that
define URNs, and it mostly matters to the library community, which is
where all the activity is coming from.

Weirds is Pete's WG, so he should comment, but I think the relevance
of that one is tenuous.  Having a protocol/API for doing whois queries
could be useful here... but I don't really imagine that they'd have
real input into the specification of those protocols/APIs.

On the other hand, I might include httpbis, as they finish their work
on HTTP2.  The details of the protocol are being driven by the browser
developers, and, while there's certainly consideration of other
clients and input from such, that's something they should pay
attention to... not to mention the ongoing conversation about how to
secure the communication.  This is a working group they should have a
look at sooner, rather than later: they expect to finish by summer,
and even if that's overly optimistic, I hope it will be done this
year.

Barry